Issue630

classification
Title Crash Crash in #'string-match-2
Type defect Module core code 21.4, core code 21.5
Severity crash Platform x86_64
Keywords Nosy List FKtPp, aidan, stephen
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason fixed
Superseder  
Priority urgent   Assigned To

Created on 2009-11-15.04:07:11 by FKtPp, last changed 2009-11-19.02:12:25 by stephen.

Files
File name Uploaded Type Edit Remove
mechanical-merge-0.diff aidan, 2009-11-16.19:53:34 application/octet-stream
string-match-crash.el asjo, 2009-11-15.20:30:12 application/octet-stream
Messages
msg1991 [hidden] ([hidden]) Date: 2009-11-19.02:12:25
  Message-ID: <1258596745.64.0.622560987162.issue630@xemacs.org>
OP reports it works for him.
msg1987 [hidden] ([hidden]) Date: 2009-11-17.10:11:59
  Message-ID: <1258452719.13.0.197944753527.issue630@xemacs.org>
Thanks, Aidan!  That does it.  I've verified that when the lookahead 
checks against pend fail, a trailing slash gets caught by a later 
iteration.  Otherwise the logic is identical to the XEmacs code (which was 
strange, maybe it was synced from some earlier Mule?)

I discovered that there are a bunch of Itext manipulation macros #defined 
later in the file, so I put the #define of MAX_ICHAR_LEN there.

This bug also applied to 21.4.
msg1984 [hidden] ([hidden]) Date: 2009-11-17.01:19:43
  Message-ID: <1258420783.29.0.542383151826.issue630@xemacs.org>
License on the code?

Have you run the test suite (regexp-tests.el) on it?
msg1982 [hidden] ([hidden]) Date: 2009-11-16.19:53:34
  Message-ID: <1258401214.62.0.817453320207.issue630@xemacs.org>
This mechanical merging of GNU's code stops the crash.
msg1981 [hidden] ([hidden]) Date: 2009-11-16.16:02:09
  Message-ID: <1258387329.57.0.732800135264.issue630@xemacs.org>
Some kind of error is happening in the process of compiling the regular expression, 
or perhaps more than one.  First, the leading byte of the first non-ASCII character 
seems to have been skipped.  Second, the literal string is not being compiled 
correctly; the compiled pattern thinks there are 0 literal characters to match.  
This may be what causes the crash.
msg1980 [hidden] ([hidden]) Date: 2009-11-16.07:58:25
  Message-ID: <1258358306.02.0.169481901587.issue630@xemacs.org>
Of course it helps.  Thank you very much!  I've confirmed that it
crashes my AMD machine.

Note that I've also created a test for this (you'll have to update from
the mercurial repo).  It's in tests/reproduce-crashes.el, #13.  I had a
bit of trouble creating it, but you might be interested in the
technique: I've BASE64'd the strings so that there's no need for Mule to
just read the file.
msg1979 [hidden] ([hidden]) Date: 2009-11-15.20:30:12
  Message-ID: <1258317012.63.0.69654430248.issue630@xemacs.org>
I have whittled the strings needed for the crash to occur down to the
attached. Not sure it helps much, but...
msg1977 [hidden] ([hidden]) Date: 2009-11-15.04:08:18
Adam Sjøgren wrote:
> >   Hi.
> > 
> > 
> > While entering a newsgroup in Gnus, I got a crash in gnus-util.el -
> > gnus-extract-address-components - where it goes "(string-match (concat
> > "[ \t]*<" (regexp-quote address) ">") from)".
> > 
> > This line reproduces the problem:
> > 
> >   (string-match "[ 
]*<Ӏŀó€¤u€µ{€¦X€¬€ù€¶U€´€Ú€¡EL/C€ÃB€«€×€Â€à€²{€¾€÷€¨€ã€¶U€´€Ú€¡E€°€ê€»€Ú€¤T€¨€¤€¶T€©€ö€¹€ê€°€È€¾€Þ€§@€¡EL/C€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E€Åw€ª€ï€±z€¨€Ó€¹q€¡G€¢€¯€¢€¸€¢€´€¢€·-€¢€´€¢€µ€¢€¸-€¢€¯€¢€²€¢€´€¡EL/C€«H€¥€Î€ª€¬€ÃB€«€×€Å€Ü€¦€Û€¥€Ñ€¹B€¥€Î€¸€ê€ª€÷€¡E€«H€¥€Î€ª€¬€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E>"
"\"€©€Ó€Å€ó€¤u€µ{€¦X€¬€ù€¶U€´€Ú€¡EL/C€ÃB€«€×€Â€à€²{€¾€÷€¨€ã€¶U€´€Ú€¡E€°€ê€»€Ú€¤T€¨€¤€¶T€©€ö€¹€ê€°€È€¾€Þ€§@€¡EL/C€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E€Åw€�
�€ï€±z€¨€Ó€¹q€¡G€¢€¯€¢€¸€¢€´€¢€·-€¢€´€¢€µ€¢€¸-€¢€¯€¢€²€¢€´€¡EL/C€«H€¥€Î€ª€¬€ÃB€«€×€Å€Ü€¦€Û€¥€Ñ€¹B€¥€Î€¸€ê€ª€÷€¡E€«H€¥€Î€ª€¬€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E\"
<tseng-chiu@umail.")
> > 

Hi there,

I can reproduce this crash on my system


System Info to help track down your bug:
---------------------------------------

uname -a: Linux fktpp-laptop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16
14:05:01 UTC 2009 x86_64 GNU/Linux

../configure  '--with-athena=3d' '--with-xft=emacs,menubars,tabs,gauges'
'--with-mule' '--with-kkcc' '--with-newgc' '--with-pdump'
'--with-dump-in-exec' '--with-modules' '--with-mail-locking=flock'
'--with-widgets=athena' '--with-system-malloc'


XEmacs 21.5-b29 "garbanzo" ff037e1dc33c+ configured for
`x86_64-unknown-linux'.

Compilation Environment and Installation Defaults:
  Source code location:              /home/fktpp/workspace/xemacs-orig
  Installation prefix:               /usr/local
  Operating system description file: `s/linux.h'
  Not using any machine description file
  Compiler version:                  gcc (Ubuntu 4.4.1-4ubuntu8) 4.4.1
    - GCC specs file:                specs.
    - Compiler command:              gcc   -Wall -Wno-switch -Wundef
-Wsign-compare -Wno-char-subscripts -Wpacked -Wunused-parameter -g
  libc version:                      GNU libc 2.10.1-0ubuntu15 (Debian)
  Relocating allocator for buffers:  no
  GNU version of malloc:             no
    - User chose not to use GNU allocators.

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:
    - X Windows libraries location:
    - Handling WM_COMMAND properly.
    - Using fontconfig to manage fonts.
    - Compiling in support for Xft antialiased fonts (EXPERIMENTAL).
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw3d
    - Athena library to link:                     Xaw3d
  Using Lucid menubars.
    - Using Xft to render antialiased fonts in menubars.
      WARNING: This feature will be replaced with a face.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.
    - Using Xft to render antialiased fonts in tab controls.
      WARNING: This feature will be replaced with a face.
    - Using Xft to render antialiased fonts in progress bars.
      WARNING: This feature will be replaced with a face.
      WARNING: This feature not yet implemented; setting ignored.

TTY:
  Compiling in support for ncurses.

Images:
  Compiling in support for GIF images.
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.

Mail:
  Compiling in support for "flock" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Using the new GC mark algorithms (KKCC).
  WARNING: ---------------------------------------------------------
  WARNING: The new algorithms are experimental. They are enabled by
  WARNING: default for this release. Use `--disable-kkcc' to
  WARNING: turn it off.
  WARNING: ---------------------------------------------------------
  Using the new incremental garbage collector and the new allocator.
  Using POSIX sigaction() to install fault handler.
  Using the new portable dumper.
  Dumping into executable.
  Compiling in support for extra debugging code.
  Compiling in support for runtime error checking.
  WARNING: ---------------------------------------------------------
  WARNING: XEmacs will run noticeably more slowly as a result.
  WARNING: Error checking is on by default for XEmacs beta releases.
  WARNING: ---------------------------------------------------------



Load-Path Lisp Shadows:
----------------------
(/home/fktpp/.xemacs/xemacs-packages/lisp/cedet-common/sformat
/home/fktpp/.xemacs/xemacs-packages/lisp/semantic/sformat
/home/fktpp/.xemacs/xemacs-packages/lisp/cedet-common/working
/home/fktpp/.xemacs/xemacs-packages/lisp/semantic/working
/usr/share/emacs/site-lisp/mercurial
/home/fktpp/.xemacs/xemacs-packages/lisp/vc/mercurial
/home/fktpp/.xemacs/xemacs-packages/lisp/build/build-report
/home/fktpp/workspace/xemacs-orig/lisp/build-report
/home/fktpp/.xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/home/fktpp/workspace/xemacs-orig/lisp/regexp-opt
/home/fktpp/.xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/home/fktpp/workspace/xemacs-orig/lisp/easy-mmode)

Internationalization Settings:
-------------------------

Environment:

  Value of LC_ALL      : nil
  Value of LC_COLLATE  : nil
  Value of LC_CTYPE    : nil
  Value of LC_MESSAGES : nil
  Value of LC_MONETARY : nil
  Value of LC_NUMERIC  : nil
  Value of LC_TIME     : nil
  Value of LANG        : zh_CN.utf8

Lisp locale settings:

  current-language-environment      => "Chinese-GB (UTF-8)"
  default-buffer-file-coding-system => utf-8
  default-process-coding-system     => (undecided . utf-8)
  (current-locale)                  => "zh_CN.utf8"
  keyboard-coding-system            => utf-8
  terminal-coding-system            => utf-8
  (coding-priority-list)            =>
    (utf-8 iso-8-2 big5 iso-7 utf-16-little-endian-bom utf-16-bom
    utf-8-bom no-conversion iso-8-1 iso-8-designate iso-lock-shift
    shift-jis utf-16-little-endian utf-16 ucs-4)

Coding system aliases:

  'native                              is aliased to utf-8
  'file-name                           is aliased to utf-8
  'mswindows-multibyte-system-default  is not a coding system alias


Installed XEmacs Packages:
-------------------------
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xemacs-devel ver: 1.79 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.19 upstream: No-Upstream-Ver)
(w3 ver: 1.35 upstream: 4.0pre47)
(vc ver: 1.46 upstream: No-Upstream-Ver)
(tramp ver: 1.4 upstream: 2.0.56)
(time ver: 1.14 upstream: 1.17)
(text-modes ver: 1.98 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(speedbar ver: 1.29 upstream: 1.0pre4)
(sh-script ver: 1.24 upstream: 2.0f)
(semantic ver: 1.21 upstream: 2.0pre4)
(ruby-modes ver: 1.04 upstream: 1.8.7)
(python-modes ver: 1.14 upstream: 5.0.0)
(psgml ver: 1.45 upstream: 1.3.2)
(prog-modes ver: 2.2 upstream: No-Upstream-Ver)
(pgg ver: 1.07 upstream: 0.1)
(perl-modes ver: 1.14 upstream: No-Upstream-Ver)
(pcomplete ver: 1.06 upstream: 1.1.6)
(pcl-cvs ver: 1.68 upstream: R-2_9_9)
(os-utils ver: 1.41 upstream: No-Upstream-Ver)
(net-utils ver: 1.56 upstream: N/A)
(mail-lib ver: 1.8 upstream: No-Upstream-Ver)
(ispell ver: 1.32 upstream: 3.6)
(ibuffer ver: 1.1 upstream: No-Upstream-Ver)
(gnus ver: 1.93 upstream: 5.10.8)
(gnats ver: 1.17 upstream: 3.101)
(fsf-compat ver: 1.19 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.18 upstream: 0fc80a3f6bb3bb59f42e9ff83cc8b89bf90fe658)
(erc ver: 0.23 upstream: Version 5.1.2 Revision: 1.796.2.6)
(elib ver: 1.13 upstream: 1.0)
(eieio ver: 1.06 upstream: 1.0pre4)
(efs ver: 1.34 upstream: 1.24)
(edit-utils ver: 2.42 upstream: No-Upstream-Ver)
(ediff ver: 1.78 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.21 upstream: 2.0)
(dired ver: 1.2 upstream: 7.17)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(cedet-common ver: 1.01 upstream: 1.0pre4)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.38 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.15 upstream: 2.02)
(bbdb ver: 1.32 upstream: 2.35)



Installed Modules:
-----------------


Features:
--------

(parse-time gnus-ems gnus-xmas wid-edit efs-cu mail-extr message
messagexmas mml mml-sec mml-smime smime dig mm-decode mm-bodies
mm-encode mailcap mail-parse rfc2045 rfc2231 rfc2047 qp ietf-drums
mail-abbrevs nnheader nnheaderxm gnus-util netrc time-date mm-util
mail-prsvr mail-utils mailheader canlock sha1 executable hex-util
xemacsbug shadow sendmail rfc822 lazy-shot font-lock func-menu
filladapt where-was-i-db gnuserv vc-hooks vc-xemacs paren mic-paren
timer cus-face icomplete jka-compr china-util xslt-process-autoloads
xslide-autoloads xemacs-devel-autoloads xemacs-base-autoloads
w3-autoloads vc-autoloads tramp-autoloads time-autoloads
text-modes-autoloads texinfo-autoloads supercite-autoloads
speedbar-autoloads sh-script-autoloads semantic-autoloads
ruby-modes-autoloads python-modes-autoloads psgml-autoloads
prog-modes-autoloads pgg-autoloads perl-modes-autoloads
pcomplete-autoloads pcl-cvs-autoloads os-utils-autoloads
net-utils-autoloads mail-lib-autoloads ispell-autoloads
ibuffer-autoloads gnus-autoloads gnats-autoloads fsf-compat-autoloads
forms-autoloads footnote-autoloads eterm-autoloads eshell-autoloads
erc-autoloads elib-autoloads eieio-autoloads efs-autoloads
edit-utils-autoloads ediff-autoloads edebug-autoloads
ecrypto-autoloads dired-autoloads debug-autoloads
cedet-common-autoloads cc-mode-autoloads calendar-autoloads
calc-autoloads c-support-autoloads build-autoloads bbdb-autoloads
modules-autoloads mule-autoloads auto-autoloads auto-show fontl-hooks
canna-leim tibetan slovenian czech romanian lao devanagari indian
cyrillic code-cmds gutter-items menubar-items x-menubar mode-motion
mouse behavior itimer auto-save lisp-mode easymenu easy-mmode
iso8859-1 page buff-menu lib-complete loadhist cus-file derived
newcomment rsz-minibuf env text-props fontconfig frame obsolete
cus-start custom widget cl-extra cl cl-19 packages backquote unicode
font-mgr lucid-scrollbars cut-buffer xft-fonts lucid-menubars
athena-dialogs x c-balloon-help tty-frames tty toolbar native-sound
scrollbar unix-processes multicast network-streams subprocesses
modules menu-accelerator-support menubar berkeley-db md5 xemacs xim
mule gutter png gif jpeg xface xpm xbm lisp-float-type file-coding
linux dialog devices window-system base64)


Recent keystrokes:
-----------------

M-x r e p o r TAB x e m TAB RET


Recent messages (most recent first):
-----------------------------------

Loading gnus-ems...done
Loading gnus-xmas...done
Loading gnus-xmas...
Loading gnus-ems...
Loading efs-cu...done
Loading efs-cu...
Parsing /home/fktpp/.mailrc... done
Parsing /home/fktpp/.mailrc...
Loading mail-extr...done
Loading mail-extr...
Loading message...done
Loading executable...done
Loading executable...
Loading message...
Loading xemacsbug...done
Loading xemacsbug...
Loading where-was-i-db...done
Loading where-was-i-db...
Loading gnuserv...done
Loading gnuserv...








_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@calypso.tux.org
http://calypso.tux.org/mailman/listinfo/xemacs-beta
msg1976 [hidden] ([hidden]) Date: 2009-11-15.04:07:10
Hi.


While entering a newsgroup in Gnus, I got a crash in gnus-util.el -
gnus-extract-address-components - where it goes "(string-match (concat
"[ \t]*<" (regexp-quote address) ">") from)".

This line reproduces the problem:

  (string-match "[ 
]*<Ӏŀó€¤u€µ{€¦X€¬€ù€¶U€´€Ú€¡EL/C€ÃB€«€×€Â€à€²{€¾€÷€¨€ã€¶U€´€Ú€¡E€°€ê€»€Ú€¤T€¨€¤€¶T€©€ö€¹€ê€°€È€¾€Þ€§@€¡EL/C€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E€Åw€ª€ï€±z€¨€Ó€¹q€¡G€¢€¯€¢€¸€¢€´€¢€·-€¢€´€¢€µ€¢€¸-€¢€¯€¢€²€¢€´€¡EL/C€«H€¥€Î€ª€¬€ÃB€«€×€Å€Ü€¦€Û€¥€Ñ€¹B€¥€Î€¸€ê€ª€÷€¡E€«H€¥€Î€ª€¬€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E>"
"\"€©€Ó€Å€ó€¤u€µ{€¦X€¬€ù€¶U€´€Ú€¡EL/C€ÃB€«€×€Â€à€²{€¾€÷€¨€ã€¶U€´€Ú€¡E€°€ê€»€Ú€¤T€¨€¤€¶T€©€ö€¹€ê€°€È€¾€Þ€§@€¡EL/C€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E€Åw€ª€ï€±z€¨€Ó€¹q€¡G€¢€¯€¢€¸€¢€´€¢€·-€¢€´€¢€µ€¢€¸-€¢€¯€¢€²€¢€´€¡EL/C€«H€¥€Î€ª€¬€ÃB€«€×€Å€Ü€¦€Û€¥€Ñ€¹B€¥€Î€¸€ê€ª€÷€¡E€«H€¥€Î€ª€¬€¶}€ª€¬€ÃB€«€×€¥€Ó€½€Ð€¡E\"
<tseng-chiu@umail.")

The crash I get from evaluating that line is:

  Fatal error: assertion failed, file regex.c, line 6357, ABORT()

  Fatal error (6).

  Your files have been auto-saved.
  Use `M-x recover-session' to recover them.

  Your version of XEmacs was distributed with a PROBLEMS file that may
describe
  your crash, and with luck a workaround.  Please check it first, but do
report
  the crash anyway.

  Please report this bug by invoking M-x report-emacs-bug, or by selecting
  `Send Bug Report' from the Help menu.  If that won't work, send ordinary
  email to `xemacs-beta@xemacs.org'.  *MAKE SURE* to include this entire
  output from this crash, especially including the Lisp backtrace, as
well as
  the XEmacs configuration from M-x describe-installation (or equivalently,
  the file `Installation' in the top of the build tree).

  *Please* try *hard* to obtain a C stack backtrace; without it, we are
unlikely
  to be able to analyze the problem.  Locate the core file produced as a
result
  of this crash (often called `core' or `core.<process-id>', and located in
  the directory in which you started XEmacs or your home directory), and
type

    gdb /usr/bin/xemacs core

  then type `where' at the debugger prompt.  No GDB on your system?  You may
  have DBX, or XDB, or SDB.  (Ask your system administrator if you need
help.)
  If no core file was produced, enable them (often with `ulimit -c
unlimited')
  in case of future recurrance of the crash.

  Lisp backtrace follows:

    # (unwind-protect ...)
    # (unwind-protect ...)
    # (unwind-protect ...)
    # (unwind-protect ...)
    # (unwind-protect ...)
    # (unwind-protect ...)
    # (unwind-protect ...)
    string-match("[ 	]*<€Ó €Å €ó €¤u €µ{ €¦X €¬ €ù €¶U €´
€Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾ €÷ €¨ €ã €¶U €´ €Ú
€¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T €© €ö €¹ €ê €° €È €¾
€Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €« €× €¥ €Ó €½ €Ð €¡E €Åw
€ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯ €¢ €¸ €¢ €´ €¢ €·-
€¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €² €¢ €´ €¡EL/C €«H €¥
€Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û €¥ €Ñ €¹B €¥ €Î €¸
€ê €ª €÷ €¡E €«H €¥ €Î €ª €¬ €¶} €ª €¬ €ÃB €« €×
€¥ €Ó €½ €Ð €¡E>" "\" €© €Ó €Å €ó €¤u €µ{ €¦X €¬ €ù
€¶U €´ €Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾ €÷ €¨ €ã
€¶U €´ €Ú €¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T €© €ö €¹
€ê €° €È €¾ €Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €« €× €¥ €Ó
€½ €Ð €¡E €Åw €ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯ €¢ €¸ €¢
€´ €¢ €·- €¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €² €¢ €´
€¡EL/C €«H €¥ €Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û €¥ €Ñ
€¹B €¥ €Î €¸ €ê €ª €÷ €¡E €«H €¥ €Î €ª €¬ €¶} €ª €¬
€ÃB €« €× €¥ €Ó €½ €Ð €¡E\" <tseng-chiu@umail.")
    eval((string-match "[ 	]*<€Ó €Å €ó €¤u €µ{ €¦X €¬ €ù
€¶U €´ €Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾ €÷ €¨ €ã
€¶U €´ €Ú €¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T €© €ö €¹
€ê €° €È €¾ €Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €« €× €¥ €Ó
€½ €Ð €¡E €Åw €ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯ €¢ €¸ €¢
€´ €¢ €·- €¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €² €¢ €´
€¡EL/C €«H €¥ €Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û €¥ €Ñ
€¹B €¥ €Î €¸ €ê €ª €÷ €¡E €«H €¥ €Î €ª €¬ €¶} €ª €¬
€ÃB €« €× €¥ €Ó €½ €Ð €¡E>" "\" €© €Ó €Å €ó €¤u €µ{
€¦X €¬ €ù €¶U €´ €Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾
€÷ €¨ €ã €¶U €´ €Ú €¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T
€© €ö €¹ €ê €° €È €¾ €Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €«
€× €¥ €Ó €½ €Ð €¡E €Åw €ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯
€¢ €¸ €¢ €´ €¢ €·- €¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €²
€¢ €´ €¡EL/C €«H €¥ €Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û
€¥ €Ñ €¹B €¥ €Î €¸ €ê €ª €÷ €¡E €«H €¥ €Î €ª €¬
€¶} €ª €¬ €ÃB €« €× €¥ €Ó €½ €Ð €¡E\" <tseng-chiu@umail."))
    # (unwind-protect ...)
    # (unwind-protect ...)
    # bind (expr)
    eval-interactive((string-match "[ 	]*<€Ó €Å €ó €¤u €µ{ €¦X
€¬ €ù €¶U €´ €Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾ €÷ €¨
€ã €¶U €´ €Ú €¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T €© €ö
€¹ €ê €° €È €¾ €Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €« €× €¥
€Ó €½ €Ð €¡E €Åw €ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯ €¢ €¸
€¢ €´ €¢ €·- €¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €² €¢ €´
€¡EL/C €«H €¥ €Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û €¥ €Ñ
€¹B €¥ €Î €¸ €ê €ª €÷ €¡E €«H €¥ €Î €ª €¬ €¶} €ª €¬
€ÃB €« €× €¥ €Ó €½ €Ð €¡E>" "\" €© €Ó €Å €ó €¤u €µ{
€¦X €¬ €ù €¶U €´ €Ú €¡EL/C €ÃB €« €× €Â €à €²{ €¾
€÷ €¨ €ã €¶U €´ €Ú €¡E €° €ê €» €Ú €¤T €¨ €¤ €¶T
€© €ö €¹ €ê €° €È €¾ €Þ €§@ €¡EL/C €¶} €ª €¬ €ÃB €«
€× €¥ €Ó €½ €Ð €¡E €Åw €ª €ï €±z €¨ €Ó €¹q €¡G €¢ €¯
€¢ €¸ €¢ €´ €¢ €·- €¢ €´ €¢ €µ €¢ €¸- €¢ €¯ €¢ €²
€¢ €´ €¡EL/C €«H €¥ €Î €ª €¬ €ÃB €« €× €Å €Ü €¦ €Û
€¥ €Ñ €¹B €¥ €Î €¸ €ê €ª €÷ €¡E €«H €¥ €Î €ª €¬
€¶} €ª €¬ €ÃB €« €× €¥ €Ó €½ €Ð €¡E\" <tseng-chiu@umail."))
    # bind (standard-output opoint ignore-quotes
eval-last-sexp-arg-internal)
    eval-last-sexp(nil)
    # bind (command-debug-status)
    call-interactively(eval-last-sexp)
    # (condition-case ... . error)
    # (catch top-level ...)

  Aborted (core dumped)
  ]0;asjo@topper: ~asjo@topper:~$ gdb /usr/bin/xemacs core
  GNU gdb (GDB) 7.0-debian
  Copyright (C) 2009 Free Software Foundation, Inc.
  License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
  This is free software: you are free to change and redistribute it.
  There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
  and "show warranty" for details.
  This GDB was configured as "x86_64-linux-gnu".
  For bug reporting instructions, please see:
  <http://www.gnu.org/software/gdb/bugs/>...
  Reading symbols from /usr/bin/xemacs...(no debugging symbols
found)...done.

  warning: Can't read pathname for load map: Input/output error.
  Reading symbols from /usr/lib/libXft.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXft.so.2
  Reading symbols from /usr/lib/libXaw.so.7...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXaw.so.7
  Reading symbols from /usr/lib/libtiff.so.4...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libtiff.so.4
  Reading symbols from /usr/lib/libpng12.so.0...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libpng12.so.0
  Reading symbols from /usr/lib/libjpeg.so.62...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libjpeg.so.62
  Reading symbols from /usr/lib/libgif.so.4...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libgif.so.4
  Reading symbols from /usr/lib/libcompface.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libcompface.so.1
  Reading symbols from /usr/lib/libXpm.so.4...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXpm.so.4
  Reading symbols from /usr/lib/libfontconfig.so.1...(no debugging
symbols found)...done.
  Loaded symbols for /usr/lib/libfontconfig.so.1
  Reading symbols from /usr/lib/libXrender.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXrender.so.1
  Reading symbols from /usr/lib/libXmu.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXmu.so.6
  Reading symbols from /usr/lib/libXt.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXt.so.6
  Reading symbols from /usr/lib/libXext.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXext.so.6
  Reading symbols from /usr/lib/libX11.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libX11.so.6
  Reading symbols from /usr/lib/libSM.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libSM.so.6
  Reading symbols from /usr/lib/libICE.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libICE.so.6
  Reading symbols from /usr/lib/libdb-4.8.so...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libdb-4.8.so
  Reading symbols from /usr/lib/libgpm.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libgpm.so.2
  Reading symbols from /lib/libncurses.so.5...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libncurses.so.5
  Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
  Loaded symbols for /lib/libm.so.6
  Reading symbols from /lib/libutil.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libutil.so.1
  Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
  Loaded symbols for /lib/libc.so.6
  Reading symbols from /lib/libdl.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libdl.so.2
  Reading symbols from /usr/lib/libfreetype.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libfreetype.so.6
  Reading symbols from /usr/lib/libz.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libz.so.1
  Reading symbols from /usr/lib/libexpat.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libexpat.so.1
  Reading symbols from /usr/lib/libXau.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXau.so.6
  Reading symbols from /usr/lib/libxcb.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libxcb.so.1
  Reading symbols from /lib/libuuid.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libuuid.so.1
  Reading symbols from /lib/libpthread.so.0...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libpthread.so.0
  Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging
symbols found)...done.
  Loaded symbols for /lib64/ld-linux-x86-64.so.2
  Reading symbols from /usr/lib/libXdmcp.so.6...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXdmcp.so.6
  Reading symbols from /lib/libnss_files.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libnss_files.so.2
  Reading symbols from /lib/libnss_compat.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libnss_compat.so.2
  Reading symbols from /lib/libnsl.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libnsl.so.1
  Reading symbols from /lib/libnss_nis.so.2...(no debugging symbols
found)...done.
  Loaded symbols for /lib/libnss_nis.so.2
  Reading symbols from /usr/lib/libXcursor.so.1...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXcursor.so.1
  Reading symbols from /usr/lib/libXfixes.so.3...(no debugging symbols
found)...done.
  Loaded symbols for /usr/lib/libXfixes.so.3
  Core was generated by `xemacs -no-init-file -vanilla'.
  Program terminated with signal 6, Aborted.
  #0  0x00007feaa8a2c207 in kill () from /lib/libc.so.6
  (gdb) where
  #0  0x00007feaa8a2c207 in kill () from /lib/libc.so.6
  #1  0x00000000004927a7 in fatal_error_signal ()
  #2  <signal handler called>
  #3  0x00007feaa8a2bf25 in raise () from /lib/libc.so.6
  #4  0x00007feaa8a2ed60 in abort () from /lib/libc.so.6
  #5  0x0000000000492507 in assert_failed ()
  #6  0x000000000056b65c in ?? ()
  #7  0x0000000000570b3e in sys_re_search_2 ()
  #8  0x00000000005715e1 in sys_re_search ()
  #9  0x000000000057a45f in ?? ()
  #10 0x000000000049d41b in Feval ()
  #11 0x000000000049e0db in Ffuncall ()
  #12 0x000000000046d570 in execute_optimized_program ()
  #13 0x000000000049b0f1 in ?? ()
  #14 0x000000000049df05 in Ffuncall ()
  #15 0x000000000046d570 in execute_optimized_program ()
  #16 0x000000000049b0f1 in ?? ()
  #17 0x000000000049df05 in Ffuncall ()
  #18 0x0000000000470895 in Fcall_interactively ()
  #19 0x00000000004a0466 in Fcommand_execute ()
  #20 0x00000000004aaaa6 in ?? ()
  #21 0x00000000004ad339 in Fdispatch_event ()
  #22 0x0000000000477d1f in Fcommand_loop_1 ()
  #23 0x0000000000477deb in ?? ()
  #24 0x0000000000499351 in condition_case_1 ()
  #25 0x0000000000477ef0 in ?? ()
  #26 0x00000000004982b9 in internal_catch ()
  #27 0x00000000004781a0 in initial_command_loop ()
  #28 0x0000000000493c4e in xemacs_21_5_b29_x86_64_pc_linux ()
  #29 0x0000000000494749 in main ()
  (gdb) quit

I am using:

  XEmacs 21.5  (beta29) "garbanzo" ff037e1dc33c+ [Lucid]
    (x86_64-pc-linux, Mule) of Thu Nov 12 2009 on topper

  No Gnus v0.11

(built from Mercurial, CVS), on a Debian unstable amd64 machine.


(I tried reporting this yesterday via M-x report-xemacs-bug - the email
was delivered to mail.xemacs.org, but it seems to be stuck somewhere.)


  Best regards,

    Adam

-- "Boy, I love summer vacation. Adam Sjøgren I can feel my brain
beginning to atrophy already." asjo@koldfront.dk
_______________________________________________ XEmacs-Beta mailing list
XEmacs-Beta@calypso.tux.org
http://calypso.tux.org/mailman/listinfo/xemacs-beta
History
Date User Action Args
2009-11-19 02:12:25stephensetreason: fixed
messages: + msg1991
2009-11-17 10:11:59stephensetstatus: assigned -> closed
messages: + msg1987
module: + core code 21.4
2009-11-17 01:19:43stephensetnosy: + aidan
messages: + msg1984
2009-11-16 19:53:34aidansetfiles: + mechanical-merge-0.diff
messages: + msg1982
2009-11-16 16:02:09stephensetmessages: + msg1981
2009-11-16 07:58:25stephensetstatus: verified -> assigned
priority: normal -> urgent
messages: + msg1980
nosy: + stephen
assignedto: stephen
2009-11-15 20:30:12asjosetfiles: + string-match-crash.el
messages: + msg1979
2009-11-15 04:08:18FKtPpsetmessages: + msg1977
2009-11-15 04:07:11FKtPpcreate